<?php
/**
*
* @package TS Gallery
* @version $Id: image_drop.php v0.1.1 02.12.2007 00:02:37 uber geek Exp $
* @copyright (c) uber geek - http://threesixes.co.uk
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './../';//relative path to phpBB3 forum directory
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/gallery.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);

// language file
$user->setup('mods/gallery');
$gallery = new Gallery();
$gallery->load_config();
// DISABLE SQL PASS

$disable_sql = false;

// DISABLE FILE DELETE

$disable_unlink = false;

// IF HOSTING ON A PERSONAL SERVER AND RECIEVING PERMISSION ERROR SET TO TRUE

$home_server = false;

// Change CHMOD

$chmod_pass = '0755';

$image_file_id = request_var('image_id', '');
$pic_id = request_var('i', '');
$mode	= request_var('mode', '');

// if set to false thumbnails and med pics will be kept but not shown on the forum

$delete_cached = true;

// Check for relevant sql data

$sql = 'SELECT pic_user_id
	FROM ' . GALLERY_PICS_TABLE . "
	WHERE pic_id = $pic_id ";
	$result = $db->sql_query($sql);

if ($row = $db->sql_fetchrow($result))
	{
		$sql_datapass = true;
	}
else
	{
		$sql_datapass = false;
	}

$delete_img_auth = ($gallery->get_config('users_can_delete_images')) ? true : false;
if ($delete_img_auth && $user->data['user_id'] == $row['pic_user_id'] || $auth->acl_gets('a_', 'm_'))
	{
		$can_delete_img = true;
	}
else
	{
		trigger_error($user->lang['ADMIN_ONLY']);
		exit;
	}
$db->sql_freeresult($sql);

if ($can_delete_img && $sql_datapass)
	{
		$image_directory = ("{$phpbb_root_path}gallery/upload/pics/");
		$thumb_directory = ("{$phpbb_root_path}gallery/upload/cache/");
		$drop_image_small = ("small_{$image_file_id}");
		$drop_image_medium = ("med_{$image_file_id}");
		$drop_image_full 	= $image_file_id;

		if ($delete_cached)
			{
				if (file_exists("{$thumb_directory}$drop_image_small"))
      				{
      		    			$small = true;
					}
				else
					{
						$thumb_info = 'THUMBNAIL: not found <b>(Skipped)</b>.';
					}
				if (file_exists("{$thumb_directory}$drop_image_medium"))
					{
						$med = true;
         				}
				else
					{
						$med_pic_info = 'DISPLAY IMAGE: not found <b>(Skipped)</b>.';
					}
			}

		if (file_exists("{$image_directory}$drop_image_full"))
			{
				$full = true;
			}
		else
			{
				$image_info = 'SOURCE IMAGE: not found <b>(Skipped)</b>.';
			}

		if ($full || $med || $small || $sql_datapass)
			{
				if (!$disable_unlink)
					{
						$no_action_file = 'Permission Denied';
					}
				else
					{
						$no_action_file = 'Function Disabled';
					}

				switch ($mode)
					{
						case 'delete':

						global $db, $phpbb_root_path, $config;
						if (confirm_box(true))
							{
			
								if ($sql_datapass && !$disable_sql)
									{
										$sql = 'DELETE FROM ' . GALLERY_COMMENT_TABLE . "
											WHERE comment_pic_id = $pic_id";
											$db->sql_query($sql);

										$sql = 'DELETE FROM ' . GALLERY_RATE_TABLE . "
											WHERE rate_pic_id = $pic_id";
											$db->sql_query($sql);

										$sql = 'DELETE FROM ' . GALLERY_PICS_TABLE . "
											WHERE pic_id = $pic_id";
											$db->sql_query($sql);
				
										$sql_notify = 'SQL: data successfully removed.';
									}
								else
									{
										$sql_notify = 'SQL: data was not found or could not be removed <b>(Skipped)</b>.';
									}
			
								if ($full && !$disable_unlink)
									{
										$image_path = "{$image_directory}$drop_image_full";
										if ($home_server)
											{		
												chmod($small_image_path, $chmod_pass);
											}
										unlink($image_path);
									}
								if ($delete_cached && !$disable_unlink)
									{
										if ($med)
											{	
												$medium_image_path = "{$thumb_directory}$drop_image_medium";
												if ($home_server)
													{
														chmod($medium_image_path, $chmod_pass);
													}
												unlink($medium_image_path);
											}
										if ($small)
											{
												$small_image_path = "{$thumb_directory}$drop_image_small";
												if ($home_server)
													{
														chmod($small_image_path, $chmod_pass);
													}
												unlink($small_image_path);
											}
									}


								if (file_exists($image_path) || $disable_unlink)
									{
										$image_info = 'SOURCE IMAGE: could NOT be removed from Gallery <b>(' . $no_action_file . ')</b>.';
									}
								else
									{
										$image_info = 'SOURCE IMAGE: successfully removed from Gallery';
									}
								if (file_exists($medium_image_path) || $disable_unlink)
									{
										$med_pic_info = 'DISPLAY IMAGE: could NOT be removed from Gallery <b>(' . $no_action_file . ')</b>.';
									}
								else
									{
										$med_pic_info = 'DISPLAY IMAGE: successfully removed from Gallery';
									}
								if (file_exists($small_image_path) || $disable_unlink)
									{
										$thumb_info = 'THUMBNAIL: could NOT be removed from Gallery <b>(' . $no_action_file . ')</b>.';
									}
								else
									{
										$thumb_info = 'THUMBNAIL: successfully removed from Gallery';
									}

								$redirect_url = append_sid("menu.{$phpEx}");
								$redirect_message	= $thumb_info . '<br />&nbsp;<br />' . $med_pic_info . '<br />&nbsp;<br />' . $image_info . '<br />&nbsp;<br />' . $sql_notify . '<br />&nbsp;<br/>PROCESS COMPLETED<br />&nbsp;<br />' . sprintf($user->lang['GALLERY_REDIRECT_GO_BACK'], $redirect_url); 
								$gallery->redirect($redirect_url, $redirect_message, 7);
							}	
						else
							{		
								$s_hidden_fields = build_hidden_fields(array(
									'image_id'	=> $image_file_id,
									'i'		=> $pic_id,
									'mode'	=> 'delete', 
										)
									);
			
								confirm_box(false, $user->lang['GALLERY_DELETE_IMAGE_CONFIRM'], $s_hidden_fields, $html_body = 'confirm_body.html', $u_action = 'gallery/image_drop.php');
							}

						$redirect_url = append_sid("viewpic.{$phpEx}?pic_id={$pic_id}");
						$redirect_message	= $user->lang['GALLERY_DELETE_IMAGE_CANCEL'] . '<br />&nbsp;<br />' . sprintf($user->lang['GALLERY_REDIRECT_GO_BACK'], $redirect_url); 
						$gallery->redirect($redirect_url, $redirect_message, 9);
						break;
					}
			}
	}

trigger_error('IMAGE DOES NOT EXIST');

// Menu
$gallery->generate_menu(GALLERY_PAGE_VIEWPIC);

// Output the page
page_header($user->lang['GALLERY_TITLE']);

$template->set_filenames(array(
    'body' => 'gallery/gallery_viewpic.html')
);

page_footer();
?>