<?php
/**
*
* @package TS Gallery
* @version $Id: gallery.php,v 0.1.1 2007/11/30 14:15:10 uber geek Exp $
* @copyright (c) 2007 threesixes.co.uk
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (empty($lang) || !is_array($lang))
{
    $lang = array();
}


// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine


$lang = array_merge($lang, array(
// This is the name of the gallery automatically created if or when a guest posts an image
	'GUEST_ALBUM_NAME'					=> 'Open Gallery',

	'GALLERY_MENU_BROWSE'					=> 'Browse',
	'GALLERY_MENU_MYALBUM'					=> 'My Album',
	'GALLERY_MENU_HOT'						=> 'Hot',
	'GALLERY_MENU_RECENT'					=> 'Recent',
	'GALLERY_MENU_VIEWS'					=> 'Views',
	'GALLERY_MENU_UPLOAD'					=> 'Upload',
    'GALLERY_INVALID_ALBUM_ID_MSG'			=> 'Invalid album id!',
    'GALLERY_MISSING_ALBUM_ID_MSG'		 	=> 'Album id was not specified!',
    'GALLERY_ALBUM_UPDATED'					=> 'Album successfully updated!',
	'GALLERY_ALBUM_LINK'					=> 'View Members Album',
    'GALLERY_MANAGE_ALBUMS_TITLE'			=> 'Manage albums',
    'GALLERY_MANAGE_ALBUMS_EXPLAIN'			=> 'Here you can manage your gallery albums, change position, edit or delete them.',
    'GALLERY_EDIT_ALBUMS_TITLE'				=> 'Edit album',
    'GALLERY_EDIT_ALBUMS_EXPLAIN'			=> 'Here you can edit your album settings like parent, name or description.',
    'GALLERY_ALBUM_SETTINGS'				=> 'Album settings',
    'GALLERY_PARENT'						=> 'Parent',
    'GALLERY_NAME'							=> 'Name',
    'GALLERY_COMMENTS_PER_PAGE'				=> 'Comments per page',
    'GALLERY_COMMENTS_PER_PAGE_EXPLAIN'		=> 'Sets the number of comments on a page to be showed on the view picture page.',
    'GALLERY_PICS_PER_PAGE'					=> 'Pictures per page',
    'GALLERY_PICS_PER_PAGE_EXPLAIN'			=> 'Sets the number of pictures on a page to be showed when viewing pictures. (multiple of 5 is prefered)',
    'GALLERY_MAX_FILESIZE'					=> 'Maximum file size',
    'GALLERY_MAX_IMAGE_WIDTH'				=> 'Maximum image width',
    'GALLERY_MAX_IMAGE_HEIGHT'				=> 'Maximum image height',
    'GALLERY_ALLOW_BIGGER_IMAGES'			=> 'Allow bigger images',
    'GALLERY_ALLOW_BIGGER_IMAGES_EXPLAIN'	=> 'Allow users to upload images with a bigger resolution than specified above but resize it.',
    'GALLERY_GENERAL_SETTINGS'				=> 'General settings',
    'GALLERY_DESCRIPTION'					=> 'Description',
    'GALLERY_SETTINGS_UPDATED_MSG'			=> 'Your settings have been successfully updated!',
    'GALLERY_ALBUM_DELETED_MSG'				=> 'Album successfully deleted!',
    'GALLERY_ALBUM_CREATED_MSG'				=> 'Album successfully created!',
    'GALLERY_ALBUM_UPDATED_MSG'				=> 'Album Information successfully updated!',
    'GALLERY_SETTINGS_TITLE'				=> 'Gallery Settings',
    'GALLERY_SETTINGS_EXPLAIN'				=> 'Here you can change your gallery settings. This settings will affect all your albums.',
    'GALLERY_ALBUM_DELETE_TITLE'			=> 'Delete album',
    'GALLERY_ALBUM_DELETE_EXPLAIN'			=> 'Here you can delete gallery albums and chose to delete or move to another album their content, if any. Please pay attention because a deleted album cannot be restored.',
    'GALLERY_ALBUM_CREATE_TITLE'			=> 'Create a new album',
    'GALLERY_ALBUM_CREATE_EXPLAIN'			=> 'Here you can create a new album for your gallery. You need to specify album parent, name and description.',
    'GALLERY_ALBUM_CACHE_TITLE'				=> 'Gallery cache',
    'GALLERY_ALBUM_CACHE_EXPLAIN'			=> 'Here you can manage your gallery cache.',
    'GALLERY_DELETE'						=> 'Delete',
	'GALLERY_DELETE_IMAGE'					=> 'Delete Image',
	'GALLERY_DELETE_IMAGE_CONFIRM'			=> 'Are you sure you want to delete this image?',
	'GALLERY_DELETE_IMAGE_CANCEL'				=> 'The Image was NOT deleted',
    'GALLERY_CONTENT'						=> 'Content',
    'GALLERY_MOVE_TO'						=> 'Move to',
    'GALLERY_ALLOW_JPEG'					=> 'Allow JPEG',
    'GALLERY_ALLOW_GIF'						=> 'Allow GIF',
    'GALLERY_ALLOW_PNG'						=> 'Allow PNG',
    'GALLERY_THUMBNAIL_QUALITY'				=> 'Thumbnail quality',
    'GALLERY_CACHE_THUMBNAILS'				=> 'Cache thumbnails',
    'GALLERY_TITLE'							=> 'Photo Gallery',
    'GALLERY_MOST_VIEWED_PICS'				=> 'Most viewed pictures',
    'GALLERY_UPLOADED_BY'					=> 'Uploaded by',
    'GALLERY_UPLOADED_ON_DATE'				=> 'On',
    'GALLERY_SIZE'							=> 'Size',
    'GALLERY_COMMENTS'						=> 'Comments',
    'GALLERY_VIEWS'							=> 'Views',
    'GALLERY_RATING'						=> 'Rating',
    'GALLERY_POST_BY_AUTHOR'				=> 'by',
    'GALLERY_NOT_RATED'						=> 'Not rated',
    'GALLERY_MOST_RECENT_PICS'				=> 'Most recent pictures',
    'GALLERY_MOST_HOT_PICS'					=> 'Most hot pictures',
    'GALLERY_PIC_ID_NOT_FOUND'				=> 'Picture id not found',
    'GALLERY_MUT_BE_REG'					=> 'You must be registered to be able to post comments or to rate pictures!',
    'GALLERY_ALREADY_RATED'					=> 'You already rated this picture!',
    'GALLERY_RATING_ADDED'					=> 'Your rating has been added.',
    'GALLERY_COMMENT_ADDED'					=> 'Your comment has been added.',

// comment edit-delete function by Uber Geek - (http://threesixes.co.uk)
	'GALLERY_ADMIN_ONLY'				=> 'YOU ARE NOT PERMITTED TO ACCESS THIS PAGE',
	'GALLERY_DELETE_MESSAGE'			=> 'Are you sure you want to delete this comment?',
   	'GALLERY_COMMENT_DELETED'			=> 'Your comment has been successfully deleted.',
    	'GALLERY_COMMENT_NOT_DELETED'			=> 'Your comment has NOT been deleted.',
	'GALLERY_COMMENT_EDITED'			=> 'Your comment has been successfully altered.',
	'GALLERY_COMMENT_NOT_EDITED'			=> 'Your comment has NOT been altered.',
	'GALLERY_NOT_AUTHORISED'			=> 'You are not authorised to view this section.',
// end

    'GALLERY_COMMENT_IS_EMPTY'				=> 'Your comment is empty!',
    'GALLERY_RATE_THIS_PIC'					=> 'Rate this picture',
    'GALLERY_YOU_RATED'						=> 'You rated',
    'GALLERY_INVALID_ALBUM_ID'				=> 'Invalid album id!',
    'GALLERY_FILE_UPLOADED'					=> 'File successfully uploaded!',
    'GALLERY_UPLOAD_TO'						=> 'Upload to',
    'GALLERY_PICTURE_TO_UPLOAD'				=> 'Picture to upload',
    'GALLERY_PICTURE_TITLE'					=> 'Picture title',
    'GALLERY_PICTURE_DESCRIPTION'			=> 'Picture description',
    'GALLERY_ALLOWED_UPLOAD_FILETYPE'		=> 'You can upload %s files',
    'GALLERY_MAX_FILESIZE'					=> 'Max filesize',
    'GALLERY_MAX_WIDTH'						=> 'Max picture width',
    'GALLERY_PIXELS'						=> 'pixels',
    'GALLERY_MAX_HEIGHT'					=> 'Max picture height',
    'GALLERY_PERSONAL_ALBUM'				=> 'Personal Album',
    'GALLERY_ALBUM_NAME'					=> 'Album Name',
    'GALLERY_PICTURES'						=> 'Pictures',
    'GALLERY_MEMBERS_GALLERY'				=> 'Member\'s Gallery',
    'GALLERY_ALBUMS'						=> 'Albums',
    'GALLERY_MEMBERS_GALLERY_DESCR'			=> 'This gallery contains members personal albums.',
    'GALLERY_SUBALBUMS'						=> 'Subalbums',
    'GALLERY_UPLOAD_REDIRECT_MSG'			=> 'Click <a href="%s">here</a> to view your picture or click <a href="%s">here</a> to view the entire album.',
    'GALLERY_ERROR_RESIZEING_PIC'			=> 'Error resizeing picture.',
    'GALLERY_REDIRECT_TO_INDEX_MSG'			=> 'Click <a href="%s">here</a> to go to Gallery index.',
    'GALLERY_REDIRECT_TO_FORUM_MSG'			=> 'Click <a href="%s">here</a> to go to Forum index.',
    'GALLERY_REDIRECT_GO_BACK'				=> 'Click <a href="%s">here</a> to go back.',
    'GALLERY_USER_PERSONAL_GALLERY'			=> '%s\'s personal album',
    'GALLERY_USER_PERSONAL_GALLERY_LOCKED'	=> '%s\'s personal album ( Friends Only )',
    'GALLERY_PG_COMMENT'					=> '1 comment',
	'GALLERY_PG_COMMENTS'					=> '%d comments',
    'GALLERY_PG_PICTURE'					=> '1 picture',
	'GALLERY_PG_PICTURES'					=> '%d pictures',
	'GALLERY_BBCODE_LINK'					=> '[IMG] CODE:',
	'GALLERY_SHARE_LINK'					=> 'DIRECT LINK:',
	'GALLERY_VISIT_GALLERY'				=>	'See more from this album',
	'REQUIRED_POSTS'				=>	'The Gallery will be unlocked after you have posted %s more message',
	'AWAITING_APPROVAL'			=>	'COMMENT AWAITING MODERATOR APPROVAL',
	'MOD_APPROVE'				=>	'COMMENT NEEDS APPROVAL',

// UCP LANG DEFINITIONS
	
'UCP_GALLERY_PREFS_PERSONAL'			=> 'Gallery - Personal Preferences',
'UCP_SHOW_GALLERY'				=> 'Restrict gallery access to friends only',
'UCP_ALLOW_GALLERY_COMMENTS'			=> 'Allow members to comment on your images',
'UCP_GALLERY_COMMENT_APPROVAL'		=> 'Require personal approval before comments are displayed',
'UCP_NO_OPTIONS'			=> 'No control options are available for this feature.',
'GALLERY_PREFERENCES_UPDATED'			=> 'Your gallery preferences have been updated.',

// ACP LANG DEFINITIONS

'GALLERY_USER_SETTINGS_TITLE'				=> 'Gallery Settings',
'GALLERY_USER_SETTINGS_EXPLAIN'		=> 'These settings form the main access permissions for your gallery.',
'GALLERY_USER_SETTINGS'			=> 'User Settings',
'GALLERY_GUEST_SETTINGS_TITLE'			=> 'Gallery Settings',
'GALLERY_GUEST_SETTINGS_EXPLAIN'		=> 'user settings will automatically override these settings if neccesary.',
'GALLERY_GUEST_SETTINGS'		=> 'Guest Settings',
'GALLERY_ACCESS_COMMENTS'			=> 'Set minimum forum posts to access gallery',
'GALLERY_ACCESS_COMMENTS_EXPLAIN'		=> 'Number of forum posts required before gallery access is allowed.',
'GALLERY_ACCESS_POSTS'				=> 'Set minimum forum posts to comment in gallery',
'GALLERY_ACCESS_POSTS_EXPLAIN'		=> 'Number of forum posts required before allowed to  comment on gallery images.',
'GALLERY_APPROVAL_NEEDED'			=> 'ALL Gallery comments require moderator approval',
'GALLERY_GUEST_ACCESS'				=> 'Guests CAN access gallery',
'GALLERY_GUEST_ACCESS_EXPLAIN'		=> 'Void if min post required',
'GALLERY_GUEST_POSTS'				=> 'Guests CAN post comments',
'GALLERY_GUEST_POSTS_EXPLAIN'			=> 'Void if min post required / guest access denied',
'GALLERY_GUEST_APPROVAL'			=> 'Guest comments require moderator approval',
'GALLERY_GUEST_APPROVAL_EXPLAIN'		=> 'Void if approve ALL is set',
'GALLERY_GUEST_UPLOAD'				=> 'Guest CAN upload images to public albums',
'GALLERY_GUEST_UPLOAD_EXPLAIN'		=> 'Void if previous settings do not allow',
'GALLERY_USER_UPLOAD'				=> 'Members CAN upload images',
'GALLERY_USER_UPLOAD_EXPLAIN'			=> 'Hides and locks upload page from non-admin users if set to NO',
'GALLERY_USER_DELETE_IMG'			=> 'Members CAN delete images',
'GALLERY_USER_DELETE_IMG_EXPLAIN'		=> 'Administrators can always delete images',
'GALLERY_USER_POSTS'				=> 'Members CAN post comments',
'GALLERY_USER_POSTS_EXPLAIN'			=> 'Hides comment box if set to YES',
'GALLERY_USER_EDIT_POSTS'			=> 'Members CAN edit comments',
'GALLERY_USER_EDIT_POSTS_EXPLAIN'		=> 'Members can edit their own comments if YES',
'GALLERY_USER_DELETE_POSTS'			=> 'Members CAN delete comments',
'GALLERY_USER_DELETE_POSTS_EXPLAIN'		=> 'Members can delete their own comments if YES',
'GALLERY_USER_MOVE_PICS'			=> 'Members CAN move images to alternate albums',
'GALLERY_USER_MOVE_PICS_EXPLAIN'		=> '(NOT AVAILABLE IN THIS RELEASE)',  //User can move images between public albims and their own albums
'GALLERY_USER_CREATE_SUB'			=> 'Members CAN create sub-albums',
'GALLERY_USER_CREATE_SUB_EXPLAIN'		=> '(NOT AVAILABLE IN THIS RELEASE)',
'GALLERY_USER_DELETE_SUB'			=> 'Members CAN delete sub-albums',
'GALLERY_USER_DELETE_SUB_EXPLAIN'		=> '(NOT AVAILABLE IN THIS RELEASE)',
'GALLERY_MAX_SUB'					=> 'Set max sub-albums per user',
'GALLERY_MAX_SUB_EXPLAIN'			=> '(NOT AVAILABLE IN THIS RELEASE)',
'GALLERY_USER_SET_APPROVAL'			=> 'Members CAN approve comments',
'GALLERY_USER_SET_APPROVAL_EXPLAIN'		=> '(NOT AVAILABLE IN THIS RELEASE)',  // Members CAN choose to approve comments made on their images

));

?>